/*! ******************************************************************************
 *
 *
 * Pentaho Data Integration
 * Copyright (C) 2019 by Hitachi Vantara : http://www.pentaho.com
 *
 *******************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 ******************************************************************************/
package org.pentaho.di.repository;

/**
 * This exception is thrown when there was an authentication error, while connecting into a repository.
 */
public class KettleAuthenticationException extends RuntimeException {

  private static final long serialVersionUID = -8636766532491093338L;

  public KettleAuthenticationException() {
    super();
  }

  /**
   * @param message
   * @param cause
   */
  public KettleAuthenticationException( String message, Throwable cause ) {
    super( message, cause );
  }

  /**
   * @param message
   */
  public KettleAuthenticationException( String message ) {
    super( message );
  }

  /**
   * @param cause
   */
  public KettleAuthenticationException( Throwable cause ) {
    super( cause );
  }
}
